DreamPress Varnish Compatibility

⛔️ Deprecated: From WP Rocket 3.7.2, compatibility with DreamPress is automated. This helper is not needed.

If your site is hosted on DreamPress, you can install the helper plugin below to add compatibility for DreamPress’ Varnish setup. 

📥   Download (.zip):  WP Rocket for DreamPress

Developers: You can find the code for this plugin on GitHub.

This plugin makes the following changes to ensure Varnish compatibility: 

  1. Auto-enable the Varnish cache auto-purge
  2. Hides the Varnish tab in WP Rocket (it’s not needed  due to #1)
  3. Ensures compatibility with minification options
  4. Removes the HTML expires rule from the htaccess



Did this answer your question? Thanks for the feedback There was a problem submitting your feedback. Please try again later.